summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2016-04-25 17:41:41 +0300
committerAndrei Karas <akaras@inbox.ru>2016-04-25 17:41:41 +0300
commit769b7cd25383477d3b4947691edc727743c0f9f7 (patch)
treee1e830e7eebdfbdbc0683f5b084b273a4b185f83
parentff1b59e68d7bbdfdc7ccce6283ebb0a83fbd196c (diff)
downloadclientdata-769b7cd25383477d3b4947691edc727743c0f9f7.tar.gz
clientdata-769b7cd25383477d3b4947691edc727743c0f9f7.tar.bz2
clientdata-769b7cd25383477d3b4947691edc727743c0f9f7.tar.xz
clientdata-769b7cd25383477d3b4947691edc727743c0f9f7.zip
Add scripts for add wrappers for fix gitlab network errors.
-rw-r--r--.gitlab-ci.yml28
-rwxr-xr-x.tools/deploy.sh30
-rwxr-xr-x.tools/init.sh42
-rwxr-xr-x.tools/testxml.sh30
4 files changed, 104 insertions, 26 deletions
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 8f836cfa..fc39f818 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -11,35 +11,17 @@ before_script:
testxml:
stage: test
script:
- - apt-get update
- - apt-get -y -qq install git-core zip gcc zlib1g-dev ca-certificates libxml2-utils python python-pyvorbis python-ogg python-pil
- - cd ..
- - rm -rf tools
- - git clone https://gitlab.com/evol/evol-tools.git tools
+ - ./.tools/testxml.sh
- pwd
- - ./tools/gitlab-ci/clientdata/testxml.sh
- - pwd
- - ls clientdata/shared
- artifacts:
- paths:
- - shared
- - public
pages:
stage: deploy
script:
- - apt-get update
- - apt-get -y -qq install git-core zip gcc zlib1g-dev ca-certificates libxml2-utils python
- - cd ..
- - rm -rf tools
- - git clone https://gitlab.com/evol/evol-tools.git tools
- - pwd
- - ./tools/gitlab-ci/clientdata/deploy.sh
+ - ./.tools/deploy.sh
- pwd
- ls clientdata/shared
artifacts:
paths:
- - shared
- public
only:
- master
@@ -50,9 +32,6 @@ ok_job:
- pwd
- echo $CI_BUILD_REF_NAME
when: on_success
- artifacts:
- paths:
- - shared
fail_job:
stage: fail
@@ -60,6 +39,3 @@ fail_job:
- pwd
- echo $CI_BUILD_REF_NAME
when: on_failure
-# artifacts:
-# paths:
-# - shared
diff --git a/.tools/deploy.sh b/.tools/deploy.sh
new file mode 100755
index 00000000..453edfde
--- /dev/null
+++ b/.tools/deploy.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+source ./tools/gitlab-ci/init.sh
+
+clientdata_init
+
+aptget_update
+aptget_install git-core zip gcc zlib1g-dev ca-certificates libxml2-utils python
+gitclone https://gitlab.com/evol/evol-tools.git tools
+
+cd clientdata
+rm -rf public
+mkdir public
+
+cd ..
+
+rm -rf music
+gitclone https://gitlab.com/evol/evol-music.git music
+
+cd tools/update
+
+./createnew.sh
+./create_music.sh
+
+cp -r upload/* ../../clientdata/public
+cd ../../clientdata
+gitclone https://gitlab.com/4144/pagesindexgen.git pagesindexgen
+cd pagesindexgen
+./pagesindexgen.py ../public
+ls ../public
diff --git a/.tools/init.sh b/.tools/init.sh
new file mode 100755
index 00000000..6a9d408a
--- /dev/null
+++ b/.tools/init.sh
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+function gitclone {
+ git clone $*
+ if [ "$?" != 0 ]; then
+ sleep 1s
+ git clone $*
+ if [ "$?" != 0 ]; then
+ sleep 3s
+ git clone $*
+ fi
+ fi
+}
+
+function aptget_update {
+ apt-get update
+ if [ "$?" != 0 ]; then
+ sleep 1s
+ apt-get update
+ if [ "$?" != 0 ]; then
+ sleep 1s
+ apt-get update
+ fi
+ fi
+}
+
+function aptget_install {
+ apt-get -y -qq install $*
+ if [ "$?" != 0 ]; then
+ sleep 1s
+ apt-get -y -qq install $*
+ if [ "$?" != 0 ]; then
+ sleep 2s
+ apt-get -y -qq install $*
+ fi
+ fi
+}
+
+function clientdata_init {
+ cd ..
+ ln -s clientdata client-data
+}
diff --git a/.tools/testxml.sh b/.tools/testxml.sh
new file mode 100755
index 00000000..0e5f5b5a
--- /dev/null
+++ b/.tools/testxml.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+source ./tools/gitlab-ci/init.sh
+
+clientdata_init
+
+aptget_update
+aptget_install git-core zip gcc zlib1g-dev ca-certificates libxml2-utils python python-pyvorbis python-ogg python-pil
+gitclone https://gitlab.com/evol/evol-tools.git tools
+
+cd tools/testxml
+
+./xsdcheck.sh
+export RES=$(cat errors.txt)
+if [[ -n "${RES}" ]]; then
+ echo "xml check failed" >../../clientdata/shared/error.log
+ echo ${RES} >>../../clientdata/shared/error.log
+ cat ../../clientdata/shared/error.log
+ exit 1
+fi
+
+echo >../../clientdata/shared/error.log
+./testxml.py silent >../../clientdata/shared/error.log
+if [ "$?" != 0 ]; then
+ echo "test xml error"
+ cat ../../clientdata/shared/error.log
+ exit 1
+fi
+
+echo >../../clientdata/shared/error.log